// HTML_Row.h: interface for the HTML_Row class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTML_ROW_H__A4ECDCA6_75AF_11D4_A35F_E0FD2D860908__INCLUDED_)
#define AFX_HTML_ROW_H__A4ECDCA6_75AF_11D4_A35F_E0FD2D860908__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HTML_Element.h"
class HTML_Cell;
class HTML_CellHeader;

class HTML_Row : public HTML_Element  
{
public:
	virtual const char* getWidth();
	virtual const char* getHeight();
	virtual const char* getColspan();
	virtual const char* getRowspan();
	virtual HTML_Row* setWidth(char* x);
	virtual HTML_Row* setHeight(char* x);
	virtual HTML_Row* setColspan(char* x);
	virtual HTML_Row* setRowspan(char* x);
	string& printString();
	HTML_Element* printOptions();
	const char* getBgcolor();
	const char* getValign();
	const char* getAlign();
	HTML_Row* setBgcolor(char* x);
	HTML_Row* setValign(char* x);
	HTML_Row* setAlign(char* x);
	HTML_Cell* newCell();
	HTML_CellHeader* newCellHeader();
	HTML_Row();
	virtual ~HTML_Row();
protected:
	string align;
	string valign;
	string bgcolor;
private:
};


#endif // !defined(AFX_HTML_ROW_H__A4ECDCA6_75AF_11D4_A35F_E0FD2D860908__INCLUDED_)
