// HTML_TextArea.cpp: implementation of the HTML_TextArea class.
//
//////////////////////////////////////////////////////////////////////

#include "HTML_all.h"
#include "HTML_TextArea.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

HTML_TextArea::HTML_TextArea()
{

}

HTML_TextArea::~HTML_TextArea()
{

}

const char*
HTML_TextArea::getRows()
{
	return(rows.c_str());
}

const char*
HTML_TextArea::getCols()
{
	return(cols.c_str());
}

const char*
HTML_TextArea::getWrap()
{
	return(wrap.c_str());
}

HTML_TextArea* 
HTML_TextArea::setRows(char* x)
{
	rows = x;
	return(this);
}

HTML_TextArea* 
HTML_TextArea::setCols(char* x)
{
	cols = x;
	return(this);
}

HTML_TextArea* 
HTML_TextArea::setWrap(char* x)
{
	wrap = x;
	return(this);
}

string& 
HTML_TextArea::printString()
{
	//print opening tag with options and new line
	buffer = "<TEXTAREA";
	printOptions();
	buffer.append(">");
	//print nested objects
	printStringNested();
	buffer.append("</TEXTAREA>\n");
	return(buffer);
}

HTML_Element* 
HTML_TextArea::printOptions()
{
	if(name.size() != 0) buffer.append(" name=\"" + name + "\"");
	if(tabindex.size() != 0) buffer.append(" tabindex=\"" + tabindex + "\"");
	if(cols.size() != 0) buffer.append(" cols=\"" + cols + "\"");
	if(rows.size() != 0) buffer.append(" rows=\"" + rows + "\"");
	if(wrap.size() != 0) buffer.append(" wrap=\"" + wrap + "\"");
	return(this);
}
